scsi_prep_async_scan
Prev | drivers/scsi/scsi_scan.c | Next

## Name

scsi_prep_async_scan — prepare for an async scan

## Synopsis

`struct async_scan_data * scsi_prep_async_scan (` | struct Scsi_Host * | shost`)`;

## Arguments

`shost`

  the host which will be scanned

## Returns

a cookie to be passed to `scsi_finish_async_scan`

Tells the midlayer this host is going to do an asynchronous scan. It reserves the host's position in the scanning list and ensures that other asynchronous scans started after this one won't affect the ordering of the discovered devices.

Prev | Up | Next
scsi_report_lun_scan | Home | scsi_finish_async_scan